import dynamix_sdk.base as _base


class CloudbrokerSecurityGroupDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerSecurityGroupDeleteProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete(
        self,
        *,
        security_group_id: int,
    ) -> CloudbrokerSecurityGroupDeleteResultBool:
        ...
